Bug 253692 - Review Request: compiz-fusion - Collection of Compiz Fusion plugins for Compiz
Review Request: compiz-fusion - Collection of Compiz Fusion plugins for Compiz
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 253693
  Show dependency treegraph
 
Reported: 2007-08-21 06:31 EDT by Adel Gadllah
Modified: 2011-04-03 23:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 12:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2007-08-21 06:31:32 EDT
Spec URL: http://tgmweb.at/gadllah/compiz-fusion.spec
SRPM URL: http://tgmweb.at/gadllah/compiz-fusion-0.5.2-1.fc7.src.rpm
Description:
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience

NOTE:
This package is rawhide only.
Comment 4 Mamoru TASAKA 2007-09-05 10:37:52 EDT
Only tried to rebuild on dist-f8 and it seems okay.
http://koji.fedoraproject.org/koji/taskinfo?taskID=148783

However, as I am now reviewing some other packages, currently
I have no time to review this package. I hope someone will review this.
Comment 5 Warren Togami 2007-09-14 16:33:51 EDT
The package looks fine, except the %post, %pre, and %preun scriptlets.

1) Do you really intend on doing --makefile-install-rule in all three places? 
Probably not.
2) You should avoid difficult-to-maintain long lists of plugins that are
redundant in the three scriptlets.  You could do something like the compiz
package with:

%define         core_plugins    blur clone cube dbus decoration fade ini inotify
minimize move

for f in %{core_plugins}; do
  echo %{_libdir}/compiz/lib$f.so
  echo %{_datadir}/compiz/$f.xml
done >> core-files.txt

Then use a loop within the scriptlets to install or uninstall the schemas.
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
for f in %{core_plugins} %{gnome_plugins} core; do
  gconftool-2 --makefile-install-rule
%{_sysconfdir}/gconf/schemas/compiz-$f.schemas >& /dev/null || :
done
Comment 7 Warren Togami 2007-09-17 17:15:51 EDT
Approved.
Comment 8 Adel Gadllah 2007-09-18 12:00:23 EDT
New Package CVS Request
=======================
Package Name: compiz-fusion
Short Description: Collection of Compiz Fusion plugins for Compiz
Owners: drago01, krh
Branches: devel
InitialCC: 
Cvsextras Commits: no
Comment 9 leigh scott 2011-04-01 11:46:37 EDT
Hi Adel,

Is it ok for me to request a epel6 branch?

https://bugzilla.redhat.com/show_bug.cgi?id=677365

Thanks

Leigh
Comment 10 Adel Gadllah 2011-04-01 12:17:17 EDT
(In reply to comment #9)
> Hi Adel,
> 
> Is it ok for me to request a epel6 branch?
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=677365

Sure.
Comment 11 leigh scott 2011-04-01 13:20:48 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > Hi Adel,
> > 
> > Is it ok for me to request a epel6 branch?
> > 
> > https://bugzilla.redhat.com/show_bug.cgi?id=677365
> 
> Sure.

Thank you
Comment 12 leigh scott 2011-04-01 13:21:27 EDT
Package Change Request
======================
Package Name: compiz-fusion
New Branches: el6
Owners: leigh123linux
Comment 13 Jason Tibbitts 2011-04-03 23:51:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.